REM $Id: nopu.p136.pkb,v 1.1 2001/11/30 23:10:38 bill Exp $
REM Z "Nauka Oracle PL/SQL" strona 136

REM Ciao rozszerzonej wersji pakietu nopu przedstawioenj na stronie 136

CREATE OR REPLACE PACKAGE BODY nopu
AS
   dflt_date_format_private nls_session_parameters.value%TYPE;

   PROCEDURE ustaw_dflt_date_format(format_daty IN VARCHAR2)
   IS
   BEGIN
      dflt_date_format_private := format_daty;
   END;

   FUNCTION dflt_date_format
      RETURN VARCHAR2
   IS
   BEGIN
      RETURN dflt_date_format_private;
   END;

   FUNCTION czy_number (cos IN VARCHAR2)
      RETURN BOOLEAN
   IS
      testerliczb NUMBER;
   BEGIN
      testerlicz := TO_NUMBER(cos);
      RETURN TRUE;
   EXCEPTION
      WHEN OTHERS
      THEN
         RETURN FALSE;
   END;

   FUNCTION czy_date (cos IN VARCHAR2,
      format_daty IN VARCHAR2 DEFAULT dflt_date_format)
      RETURN BOOLEAN
   IS
      testerdaty DATE;
   BEGIN
      testerdaty := TO_DATE(cos, format_daty);
      RETURN TRUE;
   EXCEPTION
      WHEN OTHERS
      THEN
         RETURN FALSE;
   END;

BEGIN

   /* Ta sekcja pakietu zostanie wykonana automatycznie przy pierwszym
   || wywoaniu ktrej z czci pakietu. Mona uy jej zatem do
   || inicjalizacji zmiennych.  (Patrz strona 321.)
   */

   SELECT VALUE INTO dflt_date_format_private
     FROM NLS_SESSION_PARAMETERS
    WHERE PARAMETER = 'NLS_DATE_FORMAT';

EXCEPTION
   WHEN OTHERS
   THEN NULL;

END nopu;
/

SHOW ERRORS

